<?php
session_start();
require("../../database/dbConection.php");
$idUsuarioLogado = $_SESSION['idUsuarioLogado'];

$IdPaciente             = $_POST['IdPaciente'];
$dataEntrega            = $_POST['dataEntrega'];
$nomePortador           = $_POST['nomePortador'];
$rgPortador             = $_POST['rgPortador'];
$telefonePortador       = $_POST['telefonePortador'];
$pacientePortador       = $_POST['pacientePortador'];
$setDataInternaEntrega  = date("Y-m-d");
$observacaoEntrega      = $_POST['observacaoEntrega'];
$statusEntrega          = "Entregue";
$sqlAtualizaEntrega = "UPDATE reg_tb_agendamentos SET 
  nome_portador=:setNomePortador,
  rg_portador=:setRGPortador,
  telefone_portador=:setTelefonePortador,
  paciente_eportador=:setPacientePortador,
  observacoes_entrega=:setObservacoesEntrega,
  id_usuario_entregou=:setUsuarioEntregou,
  data_usuario_registrouentrega=:setDataInternaEntrega 
  WHERE id_paciente='$IdPaciente' AND (status_agendamento='Cancelar' OR status_agendamento='Entregue') AND date_format(data_entrega,'%Y-%m-%d')='$setDataInternaEntrega'";

$stmAtualizaEntrega  = $rsConexao->prepare($sqlAtualizaEntrega);
$stmAtualizaEntrega  -> bindParam(":setNomePortador",$nomePortador,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setRGPortador",$rgPortador,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setTelefonePortador",$telefonePortador,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setObservacoesEntrega",$observacaoEntrega,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setPacientePortador",$pacientePortador,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setUsuarioEntregou",$idUsuarioLogado,PDO::PARAM_STR);
$stmAtualizaEntrega  -> bindParam(":setDataInternaEntrega",$setDataInternaEntrega,PDO::PARAM_STR);
$stmAtualizaEntrega  -> execute();


?>